Subject: Re: netatalk.com

From: "jeff b" <[email-masked]>
Date: Tue, 01 Aug 2000 02:15:55 +0000 (GMT)

On Mon, 31 Jul 2000 Harry Zink/Netatalk List  wrote:
> I spoke to my buddy Steve (Hi, Steve), the owner of the netatalk.com 
> domain, and he's ready to redirect it to the sourceforge location so we 
> have a decent URL for people to find (since pigs will probably fly 
> before Wes will do anything with his domains except sit on them).

Great! If anyone has a nice logo or anything, now is the time to bring it 
up...

> We're also ready to write up some killer press releases (it's one of the
> things we like doing), when your work is ready for a more public
> consumption, specifically ready for a renumbering to 1.5 (and I think it
> ought to be 'netatalk 1.5', effectively severing it from the umich
> umbilical). I'd suggest sending such releases regularly to sites like
> linuxtoday.com, linux weekly news, macintouch/macnn/macweek.

Also excellent! Please let me know when you want to get those ready for 
release. Someone just informed me of the amazingly PAPER BAG error that I 
had in one of my Makefile.am's that caused megatron to fail build (It's so 
amazingly stupid that I will not bother to mention it here). Beyond that, 
I want to put in as many existing patches as possible, then bug test it on 
a few systems.
 
> I'd also like to help with suggestions in regards to the RPM
> configurations/functionality, as much as possible. Since I work as a
> consultant and I have access to various situations/software/hardware
> configurations, I'd like to help it out as much as possible.
> 
> I also run netatalk on x86 boxes, as well as linuxppc boxes.
> 
> My suggestion is to provide RPMs for the following platforms:
> - x86/386 (RedHat)
> - x86/586 (Mandrake)
> - PPC (Yellow Dog/LinuxPPC)
> 
> If you can help/explain to me how to make the RPM, I can do those on my 
> PPC boxes.

I have an RPM spec that I had for the previous tree. I suppose that it is 
very close to useless at this point. Supposedly the automake/autoconf 
configuration will allow it to automagically build on almost any platform 
that supports automake/autoconf.... but I will prepare an all-encompassing 
spec file for any people that want to RPM package it.

Now all we need are some debian people... :)

> We should encourage others to contribute packages for:
> 
> - StormLinux
> - Debian
> - FreeBSD
> - Solaris (since there are tons of people with regular questions about
> SOlaris on those).
> 
> Not sure who we can solicit for help on those.

I'm pretty sure that as soon as netatalk 1.5 is ready, every distribution 
will jump on the packaging for it. That is, if we can make it work.

I'm figuring on a week or two for 1.5, if everyone gets their intended 
patches for it in pretty soon. (Bugfixes would be *most* appreciated, but 
added functionality never hurt...)

Thanks,
jeff
     
*************************
jeff b
system administrator
university communications
university of connecticut
[email-masked]

---

From: David R Bosso <[email-masked]>
Date: Mon, 31 Jul 2000 21:28:16 -0700

The 1.5 packaging plans sound great.   Before I start digging in the code, 
I just want to make sure that byte locking is indeed broken in Linux.  I 
posted a while back about getting numerous errors with byte locking under 
RedHat 6.2.  Is anyone using byte locking under Linux?  How about another 
OS?  Please let me know so I can try to track down the problem.

Also, has anyone looked into having Netatalk use Samba style locking?

-David

---

From: Ryan McBeth <[email-masked]>
Date: Tue, 1 Aug 2000 07:17:00 -0400

>Great! If anyone has a nice logo or anything, now is the time to bring it

Actually, I asked an artist at my company to work something up.  I'll 
poke him on the shoulder today and see if he's done (since this is 
free favor work, not real work... we'll see how fast it gets done).

The idea behind the logo is a cheerleader jumping in the air.  Her 
megaphone says "Netatalk", and she is wearing a UMich sweater (we 
shouldn't forget our roots and our debt to Wes).  Somewhere on her 
body (as a tattoo, or in her hair maybe) or is an Apple logo.

I'll let the group know its location once mt artist gets it done.

Ryan

__________________________________
Ryan McBeth
Systems Administrator, Mobius New Media
Voice: (302) 475-9880 x11
FAX: (302) 475-9894
www.mobiusnm.com
__________________________________
If you want to achieve excellence, you can get there today. As of 
this second, quit doing less-than-excellent work.
-Thomas Watson, founder of IBM

---

From: Jürgen Weltzer <[email-masked]>
Date: Tue, 1 Aug 2000 14:46:32 +0100

>Actually, I asked an artist at my company to work something up.

I also did so.
I will mail the result to this list.

(I'm only a user of netatalk - having a Linux box since a few months 
-, but I find your work great, Thanks to all devellopers for the help 
you give me and for working on a programm which will make the work in 
advertising computer environement more effective.
Thanks.
-- 
Viele Grüße
Jürgen Weltzer

- - - - - - - - - - - - - - - - - - -
Werbeagentur Weltzer
Max-Eyth-Straße 8
71065 Sindelfingen
Tel. +49 (0) 70.31.81.32.31
Fax +49 (0) 70.31.81.16.01
http://www.w-ww.de/
- - - - - - - - - - - - - - - - - - -

Windows95/98/NT (noun): 32 bit extension and a graphical shell for a 16 bit
patch to an 8 bit operating system originally coded for a 4 bit
microprocessor, written by a 2 bit company, that can't stand 1 bit of
competition

---

From: [email-masked]
Date: Tue, 01 Aug 2000 09:27:04 -0400

This is the URL to the mock-up netatalk site.

    http://rsug.itd.umich.edu/~tombeau/netatalk/

The "logo" is in the upper left corner.

:wes

---

From: Hauke Fath <[email-masked]>
Date: Tue, 01 Aug 2000 16:08:27 +0200

>The "logo" is in the upper left corner.

I like the page -- very clean design, no meaningless chrome.

         hauke

--
Hauke Fath                        Tangro Software Components GmbH
                                         D-69115 Heidelberg
[email-masked]                       Ruf +49-6221-13336-35, Fax -21

---

From: Tony Stuckey <[email-masked]>
Date: Tue, 1 Aug 2000 18:46:43 -0500

> added functionality never hurt...)

	I'd also like to see the published RFCs for things like AppleDouble
included on the web site, and maybe even in the distributions.  That might
reduce a lot of confusion about what they even are and why anyone needs to
care.
-- 
Anthony J. Stuckey                              [email-masked]
"And they said work hard, and die suddenly, because it's fun."
	-Robyn Hitchcock.

---

From: Harry Zink/Netatalk List <[email-masked]>
Date: Tue, 08 Aug 2000 07:30:51 -0700

>> will jump on the packaging for it. That is, if we can make it work.

So, how are things coming along in that regard?

Has anyone ever managed to get a hold of Adrian?

Harry
-- 
CAN'T SEE MAC IN CHOOSER UNDER RedHat 6.2: If you get errors starting
AppleTalk under RedHat 6.2 and Mandrake 7.1, you need to manually add "alias
net-pf-5 appletalk" to your /etc/conf.modules file.

---

From: Harry Zink/Netatalk List <[email-masked]>
Date: Tue, 08 Aug 2000 10:14:17 -0700

One thought occured to me:

Shouldn't we place the most current pre39 RPMs on the sourceforge site? A
lot of the questions in the help section (as well as many newbie questions
on here) involve people running (sometimes hopelessly) outdated versions of
netatalk RPMs.

Consequently, one of the first responses should always be "update your
netatalk RPM". Of course, that would require them being in a nice easy to
find location :-)

Since the help sections are getting traffic (no doubt coming from the link
at the umich netatalk page) this might be a good thing to do asap.

Just my $0.02

Harry

---

From: Matthew Keller <[email-masked]>
Date: Tue, 08 Aug 2000 13:40:31 -0400

> netatalk RPM". Of course, that would require them being in a nice easy to

	One should shoehorn an "If you are using RPM's..." in there, as that's
a nasty assumption. ;)

-- 

 Matthew Keller
 Lead Programmer/Analyst
 Distributed Computing/Telemedia
 Information Services Division
 State University of New York at Potsdam
 
 Website: http://mattwork.potsdam.edu/
 PGP: http://mattwork.potsdam.edu/crypto/
 Webcam:  http://webcam.mattwork.potsdam.edu:85/

---

From: Harry Zink/Netatalk List <[email-masked]>
Date: Tue, 08 Aug 2000 11:32:42 -0700

Sometimes after I received my last message from this list on 8/1/2000, my
subscription to this list was strangely, and mysteriously dropped.

I'm just wondering:

* Why did this happen?

* Has this happened to anyone else?

Just wondering if there were some technical or political problems we should
all be aware of....

Harry

---

From: Harry Zink/Netatalk List <[email-masked]>
Date: Tue, 08 Aug 2000 13:04:04 -0700

> One should shoehorn an "If you are using RPM's..." in there, as that's

Could I suggest to start a separate mailing list on the sourceforge site,
aptly entitled "I hate RPMs". That way all those who feel that way can
hobble around in there and preach to their choir - and the rest of us can
feel free to not have to continually put up with that chorus everytime
someone uses the word 'RPM' in any post.

Harry